[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TTreeNodes.AddFirst

Adds a node with the specified text as the first node at the same level as the sibling node.

## Declaration

Source position: comctrls.pp line 3255

`public function TTreeNodes.AddFirst(`
`SiblingNode: TTreeNode;`
`const S: string`
`):TTreeNode;`

## Arguments

`SiblingNode` |  | Node which is a sibling for the new node. Provides the Level for the new node.
`S` |  | Text for the new node created in the method.

## Function result

TTreeNode instance created in the method.

## See also

TTreeNodes.AddObjectFirst |  | Adds a node with the specified text and data as the first node at the same level as the sibling node.